petsc-3.13.6 2020-09-29
Report Typos and Errors

# TaoLineSearchSetType

Sets the algorithm used in a line search

### Synopsis

    #include "petsctaolinesearch.h"
    PetscErrorCode TaoLineSearchSetType(TaoLineSearch ls, TaoLineSearchType type)

Collective on TaoLineSearch

### Input Parameters

| ls | - the TaoLineSearch context
| type | - the TaoLineSearchType selection

### Available methods include

| more | - thuente - line search with a cubic model enforcing the strong Wolfe/curvature condition
| armijo | - simple backtracking line search enforcing only the sufficient decrease condition
| unit | - do not perform a line search and always accept unit step length

### Options Database Keys

-tao_ls_type <more -thuente, armijo, unit> - select which method TAO should use at runtime

### See Also

TaoLineSearchCreate(), TaoLineSearchGetType(), TaoLineSearchApply()

### Level

beginner

### Location

src/tao/linesearch/interface/taolinesearch.c
Index of all TaoLineSearch routines
Table of Contents for all manual pages
Index of all manual pages